install.packages("UpSetR")
library(UpSetR)

### HiCExplorer TAD Boundaries
expressionInput <- c(Dpse =274, 
                     Kc167 = 251, 
                     BG3 = 288,
                     S2=420, 
                     `Dpse&Kc167` = 49, 
                     `Dpse&BG3` = 40, 
                     `Dpse&S2`=60, 
                     `Kc167&BG3`=101,
                     `Kc167&S2`=108,
                     `BG3&S2`=92, 
                     `Dpse&Kc167&BG3`=49,
                     `Dpse&Kc167&S2`=41,
                     `Dpse&BG3&S2`=52,
                     `Kc167&BG3&S2`=141,
                     `Dpse&Kc167&BG3&S2`=199
)
upset(fromExpression(expressionInput), sets =c("Dpse","Kc167","BG3","S2"),keep.order=T,order.by ="freq")

#### HiCExplorer TAD genome coverage

expressionInput <- c(Dpse =24, 
                     Kc167 = 37.2, 
                     BG3 = 32.0,
                     S2=40.4, 
                     `Dpse&Kc167` = 4.2, 
                     `Dpse&BG3` = 2.1, 
                     `Dpse&S2`=4.1, 
                     `Kc167&BG3`=16.4,
                     `Kc167&S2`=9.1,
                     `BG3&S2`=12.5, 
                     `Dpse&Kc167&BG3`=6,
                     `Dpse&Kc167&S2`=3.3,
                     `Dpse&BG3&S2`=7.1,
                     `Kc167&BG3&S2`=25.4,
                     `Dpse&Kc167&BG3&S2`=29
)
upset(fromExpression(expressionInput), sets =c("Dpse","Kc167","BG3","S2"),keep.order=T,order.by ="freq")
